package com.sf._02_finally;

public class Test {
    /**
     * try{
     *
     * }catch (异常类型 e ){
     *
     * }finally{
     *     表示最终一定会执行的
     * }
     *
     * 什么情况下会用到finally , 一般在后续实际开发中,像关闭资源操作会用finally
     */

    public static void main(String[] args) {
        /**
         * 在try 当中写一个int num1=1/0 int num= 1/1  , try 后面写一行代码
         * 在catch 当中捕捉异常, 打印异常信息
         * 在finally 当中打印代码一定执行
         *
         * 就算try 当中有return finally代码也一定会执行
         *
         * try 当中有return finally 中也有return  返回是哪里return
         */

        System.out.println(method());
    }

    public static int method(){
        try{
            int num = 1/1;
            return num;
        }catch (Exception e){
            e.printStackTrace();
        }finally {
            System.out.println("最终一定执行的代码");
            return 123;
        }
    }
}
